Skip to main content
The /v1/survey_assignments endpoint returns a paginated list of all historical, direct individual assignments of employees to surveys.

Endpoint

Query Parameters

integer
Maximum number of assignments to return per page. Accepts values from 0 to 1000. Defaults to 100.
integer
Number of assignments to skip before returning results. Defaults to 0.
integer
Return only the assignments that belong to this survey. Omit to return assignments across all surveys.

Example Request

Example Response

Response Fields

integer
The total number of survey assignment records, across all pages.
array
A paginated list of survey assignment objects.
Join survey assignments with the employees and surveys endpoints using employee_id and survey_id to build a complete picture of participation in your data warehouse.